Get landscape cell
curl --request GET \
--url https://softmax.com/api/observatory/v2/leagues/{league_id}/landscape/cell \
--header 'Authorization: Bearer <token>'import requests
url = "https://softmax.com/api/observatory/v2/leagues/{league_id}/landscape/cell"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://softmax.com/api/observatory/v2/leagues/{league_id}/landscape/cell', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"league_id": "<string>",
"cell": "<string>",
"ladder": [
{
"rank": 123,
"player_id": "<string>",
"rating": 123,
"games": 123,
"wins": 123,
"draws": 123,
"losses": 123
}
],
"recent_matches": [
{}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Leagues
Get landscape cell
Return one cell’s complete ladder and recent matches.
GET
/
v2
/
leagues
/
{league_id}
/
landscape
/
cell
Get landscape cell
Authorizations
Bearer token issued by Softmax
Path Parameters
League containing the landscape cell.
Pattern:
^league_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Query Parameters
Cell coordinate in x,y form.
Pattern:
^\d+,\d+$Response
Successful Response
League containing the landscape cell.
Cell coordinate in x,y form.
Complete Elo ladder for this cell.
Show child attributes
Show child attributes
Most recent matches on this cell, newest first.